Loading...
Searching...
No Matches
rheolef-config.in
Go to the documentation of this file.
#!/bin/sh
#
# This file is part of Rheolef.
#
# Copyright (C) 2000-2009 Pierre Saramito
#
# Rheolef is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Rheolef is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Rheolef; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# --------------------------------------------------------------------------
# author: Pierre.Saramito@imag.fr
# date: 20 january 2000
version=@VERSION@
prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
libdir=@libdir@
pkglibdir=@pkglibdir@
datadir=@datarootdir@
datarootdir=@datarootdir@
mandir=@mandir@
includedir=@includedir@
docdir=@prefix@/share/doc/@doc_dir@
exampledir=$docdir/examples
incsubst="@INCLUDES_CGAL@ @INCLUDES_UMFPACK@ @INCLUDES_CHOLMOD@ @INCLUDES_SUITESPARSE_AMD@ @INCLUDES_SCOTCH@ @INCLUDES_PARMETIS@ @INCLUDES_EIGEN@ @INCLUDES_BLAS@ @INCLUDES_BOOST_MPI@ @INCLUDES_MPI@ @INCLUDES_FLOAT128@ @INCLUDES_DMALLOCXX@ @INCLUDES_DMALLOC@"
libsubst="@LDADD_CGAL@ @LDADD_UMFPACK@ @LDADD_CHOLMOD@ @LDADD_SUITESPARSE_AMD@ @LDADD_SCOTCH@ @LDADD_PARMETIS@ @LDADD_EIGEN@ @LDADD_BLAS@ @LDADD_BOOST_MPI@ @LDADD_MPI@ @LDADD_FLOAT128@ @LDADD_DMALLOCXX@ @LDADD_DMALLOC@"
cxx="@CXX@"
includes="@CPPFLAGS@ @CXXFLAGS@ ${incsubst} -I@includedir@ -I@libdir@"
libs="-L@libdir@ -lrheolef ${libsubst} @LDFLAGS@ @LIBS@ @RHEOLEF_HARDCODE_LIBDIR_FLAG_SPEC@"
ldadd="@libdir@/librheolef.la ${libsubst} @LDFLAGS@ @LIBS@ @RHEOLEF_HARDCODE_LIBDIR_FLAG_SPEC@"
NEW_INCLUDES_RHEOLEF=@INCLUDES_RHEOLEF@
NEW_LIBS_RHEOLEF=@LIBS_RHEOLEF@
library_interface_version=@LIBRARY_VERSION@
shlibpath_var="@RHEOLEF_SHLIBPATH_VAR@"
hardcode_libdir_flag_spec="@RHEOLEF_HARDCODE_LIBDIR_FLAG_SPEC@"
use_distributed="@USE_DISTRIBUTED@"
use_new_code="true"
use_old_code="false"
QD_EXT="@QD_EXT@"
usage="rheolef-config
[--version
| --help
| --prefix
| --exec-prefix
| --includedir
| --bindir
| --libdir
| --docdir
| --exampledir
| --mandir
| --pkglibdir
| --datadir
| --datarootdir
| --pkgdatadir
| --cxx
| --includes
| --libs
| --ldadd
| --shlibpath-var
| --library-interface-version
| --hardcode-libdir-flag-spec
| --is-distributed
| --float
| --have-new-code
| --have-old-code
| --check]
"
if test $# -eq 0; then
echo ${usage} >&2
exit 0
fi
while test $# -ne 0; do
case $1 in
--version) echo ${version};;
--help) echo ${usage} >&2; exit 0;;
--prefix) echo ${prefix};;
--exec-prefix) echo ${exec_prefix};;
--libdir) echo ${libdir};;
--pkglibdir) echo ${pkglibdir};;
--bindir) echo ${bindir};;
--docdir) echo ${docdir};;
--exampledir) echo ${exampledir};;
--mandir) echo ${mandir};;
--datadir) echo ${datarootdir};;
--datarootdir) echo ${datarootdir};;
--pkgdatadir) echo ${datarootdir}/rheolef;;
--includedir) echo ${includedir};;
--cxx) echo ${cxx};;
--includes) echo ${includes};;
--libs) echo ${libs};;
--ldadd) echo ${ldadd};;
--shlibpath-var) echo ${shlibpath_var};;
--library-interface-version) echo ${library_interface_version};;
--hardcode-libdir-flag-spec) echo ${hardcode_libdir_flag_spec};;
--is-distributed) echo ${use_distributed};;
--float)
case x"$QD_EXT" in
x) float="double";;
x.dd) float="dd_real";;
x.qd) float="qd_real";;
x.float128) float="float128";;
*) float="undefined";;
esac
echo ${float};;
--have-new-code) echo ${use_new_code};;
--have-old-code) echo ${use_old_code};;
--check) /bin/sh ${datadir}/rheolef/check-shlibpath_var.sh \
${shlibpath_var} ${libdir} ${bindir};;
*) echo ${usage} >&2; exit 1;;
esac
shift
done